Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIToolbarGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractToolbarGroup
                  org.richfaces.component.UIToolbarGroup

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.Final"})
    public class UIToolbarGroup

extends AbstractToolbarGroup
implements javax.faces.component.behavior.ClientBehaviorHolder

Nested Class Summary
`protected static class` | `UIToolbarGroup.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIToolbarGroup()`

Method Summary
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getItemClass()`
`String` | `getItemSeparator()`
`String` | `getItemStyle()`
`String` | `getLocation()`
`String` | `getOnitemclick()`
`String` | `getOnitemdblclick()`
`String` | `getOnitemkeydown()`
`String` | `getOnitemkeypress()`
`String` | `getOnitemkeyup()`
`String` | `getOnitemmousedown()`
`String` | `getOnitemmousemove()`
`String` | `getOnitemmouseout()`
`String` | `getOnitemmouseover()`
`String` | `getOnitemmouseup()`
`void` | `setItemClass(String itemClass)`
`void` | `setItemSeparator(String itemSeparator)`
`void` | `setItemStyle(String itemStyle)`
`void` | `setLocation(String location)`
`void` | `setOnitemclick(String onitemclick)`
`void` | `setOnitemdblclick(String onitemdblclick)`
`void` | `setOnitemkeydown(String onitemkeydown)`
`void` | `setOnitemkeypress(String onitemkeypress)`
`void` | `setOnitemkeyup(String onitemkeyup)`
`void` | `setOnitemmousedown(String onitemmousedown)`
`void` | `setOnitemmousemove(String onitemmousemove)`
`void` | `setOnitemmouseout(String onitemmouseout)`
`void` | `setOnitemmouseover(String onitemmouseover)`
`void` | `setOnitemmouseup(String onitemmouseup)`

Methods inherited from class org.richfaces.component.AbstractToolbarGroup
`getRenderedChildren, getToolBar`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIToolbarGroup

    public UIToolbarGroup()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getItemClass

    public String getItemClass()

  Specified by:
    `getItemClass` in class `AbstractToolbarGroup`

### setItemClass

    public void setItemClass(String itemClass)

### getItemSeparator

    public String getItemSeparator()

  Specified by:
    `getItemSeparator` in class `AbstractToolbarGroup`

### setItemSeparator

    public void setItemSeparator(String itemSeparator)

### getItemStyle

    public String getItemStyle()

  Specified by:
    `getItemStyle` in class `AbstractToolbarGroup`

### setItemStyle

    public void setItemStyle(String itemStyle)

### getLocation

    public String getLocation()

  Specified by:
    `getLocation` in class `AbstractToolbarGroup`

### setLocation

    public void setLocation(String location)

### getOnitemclick

    public String getOnitemclick()

  Specified by:
    `getOnitemclick` in class `AbstractToolbarGroup`

### setOnitemclick

    public void setOnitemclick(String onitemclick)

### getOnitemdblclick

    public String getOnitemdblclick()

  Specified by:
    `getOnitemdblclick` in class `AbstractToolbarGroup`

### setOnitemdblclick

    public void setOnitemdblclick(String onitemdblclick)

### getOnitemkeydown

    public String getOnitemkeydown()

  Specified by:
    `getOnitemkeydown` in class `AbstractToolbarGroup`

### setOnitemkeydown

    public void setOnitemkeydown(String onitemkeydown)

### getOnitemkeypress

    public String getOnitemkeypress()

  Specified by:
    `getOnitemkeypress` in class `AbstractToolbarGroup`

### setOnitemkeypress

    public void setOnitemkeypress(String onitemkeypress)

### getOnitemkeyup

    public String getOnitemkeyup()

  Specified by:
    `getOnitemkeyup` in class `AbstractToolbarGroup`

### setOnitemkeyup

    public void setOnitemkeyup(String onitemkeyup)

### getOnitemmousedown

    public String getOnitemmousedown()

  Specified by:
    `getOnitemmousedown` in class `AbstractToolbarGroup`

### setOnitemmousedown

    public void setOnitemmousedown(String onitemmousedown)

### getOnitemmousemove

    public String getOnitemmousemove()

  Specified by:
    `getOnitemmousemove` in class `AbstractToolbarGroup`

### setOnitemmousemove

    public void setOnitemmousemove(String onitemmousemove)

### getOnitemmouseout

    public String getOnitemmouseout()

  Specified by:
    `getOnitemmouseout` in class `AbstractToolbarGroup`

### setOnitemmouseout

    public void setOnitemmouseout(String onitemmouseout)

### getOnitemmouseover

    public String getOnitemmouseover()

  Specified by:
    `getOnitemmouseover` in class `AbstractToolbarGroup`

### setOnitemmouseover

    public void setOnitemmouseover(String onitemmouseover)

### getOnitemmouseup

    public String getOnitemmouseup()

  Specified by:
    `getOnitemmouseup` in class `AbstractToolbarGroup`

### setOnitemmouseup

    public void setOnitemmouseup(String onitemmouseup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.